Opened 12 years ago

Closed 12 years ago

Last modified 12 years ago

#2169 closed Bug (fixed)

Building Qtransmission 1.70 on Archlinux fails

Reported by: helios91 Owned by: charles
Priority: Normal Milestone: 1.71
Component: Transmission Version: 1.70
Severity: Normal Keywords:
Cc:

Description

Hi! Here's the erro message

...
/usr/bin/ld: cannot find -levent
collect2: ld returned 1 exit status
make: *** [qtr] Error 1

Change History (3)

comment:1 Changed 12 years ago by charles

  • Milestone changed from None Set to 1.71
  • Owner set to charles
  • Status changed from new to assigned

Since qmake doesn't seem to play nicely with autoconf, I don't know of any way to make the qt directory's makefiles to know whether or not we're supposed to use the system copy of libevent or the bundled one.

So, if we have to pick one version or the other, IMO it makes the most sense to use the bundled one, since at least then we'll know that it will link properly, fixing the problem experienced here by helios91.

If anyone objects to this and wants to open a ticket like #2070 regarding libevent and the qt client... my qmake-fu isn't up to this, and it won't happen without a patch.

comment:2 Changed 12 years ago by charles

  • Resolution set to fixed
  • Status changed from assigned to closed

The build problem is fixed now in r8629.

comment:3 Changed 12 years ago by charles

ticket #2173 has been closed as a duplicate of this ticket.

Note: See TracTickets for help on using tickets.